Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
assets
List Marketing Creative Assets
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/assets \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "content_url": "<string>",
    "content_type": "image",
    "content": "<string>",
    "created_by_email": "<string>",
    "thumbnail_url": "<string>",
    "is_archived": true,
    "is_deleted": true,
    "tags": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

include_email
boolean

Include email of the asset creator if True.

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
content_url
string
required
Maximum string length: 255
content_type
enum<string>
required
  • image - image
  • text - text
  • video - video
Available options:
image,
text,
video
content
string
required
created_by_email
string | null
thumbnail_url
string
Maximum string length: 255
is_archived
boolean
is_deleted
boolean
tags
string[]
Maximum string length: 255
created_at
string<date-time> | null
created_by
string<uuid> | null